--- title: "Add a schedule access to the given user" slug: "add-a-schedule-access-to-the-given-user" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/add-a-schedule-access-to-the-given-user" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Add a schedule access to the given user Post/api/v1/users/{userId}/schedule-access SecurityHTTPType bearer Path parametersuserIdstringRequired The ID of the user Body parameters The details for the schedule access Expand Allobject endstring Example2023-07-20 notifyAtstring Example2023-07-18T08:30:00-0700 recurrenceobject byDay Array of string string ExampleSU byMonth Array of integer integer Example5 byMonthDay Array of integer integer Example10 bySetPos Array of integer integer Example1 endTimestring Example17:00 frequencystring ExampleMONTHLY startTimestring Example09:00 removeUserAfterLastScheduleboolean Examplefalse startstring Example2023-07-18 timezonestring ExampleAmerica/Los_Angeles Responses200 OK Expand Allobject authorizationboolean dataobject (ScheduleAccess) enabledboolean endstring notifyAtstring recurrenceobject byDay Array of string string byMonth Array of integer integer byMonthDay Array of integer integer bySetPos Array of integer integer endTimestring frequencystring intervalinteger startTimestring untilstring removeUserAfterLastScheduleboolean startstring timezonestring error_codeinteger error_messagestring error_statusboolean Examplefalse 400 Bad Request Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 404 Not Found Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 422 Unprocessable Entity Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 500 Internal Server Error object authorizationboolean data Array of string Example[]string error_codeinteger | null error_messagestring | null error_statusboolean